# npm-copy

A utility to copy packages from one NPM server to another.

[![build status][travis-badge]][travis-link]
[![npm version][npm-badge]][npm-link]
[![MIT license][license-badge]][license-link]
[![we're hiring][hiring-badge]][hiring-link]

We wrote this while migrating from Nodejitsu's (deprecated) private NPM service to our own deployment of [Sinopia](https://github.com/rlidwka/sinopia).  For the list of modules you provide, it will find all of the published versions on the `from` repository, and publish them on the `to` repository.  It's that easy.  It's also idempotent and prints a warning if a particular version already exists on the `to` repo.

## Usage

The example should explain things.  We accept either token auth or username/password auth.

```
npm install -g npm-copy
npm-copy --from https://old.npm.mycorp.com --from-token foo --to https://new.npm.mycorp.com --to-username bob --to-password secret --to-email my@corp.com mycorp-logger mycorp-stats
```

## Contributing

Please follow our [Code of Conduct](https://github.com/goodeggs/npm-copy/blob/master/CODE_OF_CONDUCT.md)
when contributing to this project.

```
$ git clone https://github.com/goodeggs/npm-copy && cd npm-copy
$ npm install
$ npm test
```

_Module scaffold generated by [generator-goodeggs-npm](https://github.com/goodeggs/generator-goodeggs-npm)._


[travis-badge]: http://img.shields.io/travis/goodeggs/npm-copy.svg?style=flat-square
[travis-link]: https://travis-ci.org/goodeggs/npm-copy
[npm-badge]: http://img.shields.io/npm/v/npm-copy.svg?style=flat-square
[npm-link]: https://www.npmjs.org/package/npm-copy
[license-badge]: http://img.shields.io/badge/license-MIT-blue.svg?style=flat-square
[license-link]: LICENSE.md
[hiring-badge]: https://img.shields.io/badge/we're_hiring-yes-brightgreen.svg?style=flat-square
[hiring-link]: http://goodeggs.jobscore.com/?detail=Open+Source&sid=161
